| pktools 2.6.7 Processing Kernel for geospatial data

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider Class Reference
Inheritance diagram for qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider:
[legend]
Collaboration diagram for qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider:
[legend]

## Public Member Functions
def | __init__ (self)
def | initializeSettings (self)
def | unload (self)
def | getName (self)
def | getDescription (self)
def | getIcon (self)

## Public Attributes
| activate
| alglist
| algs

## Static Public Attributes
string | MY_DUMMY_SETTING = "MY_DUMMY_SETTING"

## Detailed Description

Definition at line 55 of file pktoolsAlgorithmProvider.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.__init__ | ( |  | self | ) |

Definition at line 59 of file pktoolsAlgorithmProvider.py.

59 def __init__(self):
60 AlgorithmProvider.__init__(self)
61 # deactivate provider by default
62 self.activate = True
63 # load algorithms
64# self.alglist = [pkinfo()]
65 self.alglist = [pkreclass(),pkcrop(),pkcomposite(),pkgetmask(),pksetmask(),pkextract(),pkextract_grid(),pkextract_random(),pksvm(),pkdiff_accuracy(),pklas2img(),pkfilterdem(),pkfilter_spectral(),pkfilter_spatial()]
66 # pktools = [pkinfo()]
67 # for alg in pktools:
68 # alg.group = "pktools"
69 # self.alglist.extend(pktools)
70 for alg in self.alglist:
71 alg.provider = self
72

## Member Function Documentation

## ◆ getDescription()

def qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.getDescription | ( |  | self | ) |

    This is the provired full name.

Definition at line 100 of file pktoolsAlgorithmProvider.py.

100 def getDescription(self):
101 '''This is the provired full name.
102 '''
103 return "Utilities for remote sensing image processing"
104

## ◆ getIcon()

def qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.getIcon | ( |  | self | ) |

Definition at line 105 of file pktoolsAlgorithmProvider.py.

105 def getIcon(self):
106 filepath = os.path.dirname(__file__) + "/logo.png"
107 return QtGui.QIcon(filepath)
108

## ◆ getName()

def qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.getName | ( |  | self | ) |

    This is the name that will appear on the toolbox group.
    It is also used to create the command line name of all the algorithms
    from this provider

Definition at line 93 of file pktoolsAlgorithmProvider.py.

93 def getName(self):
94 '''This is the name that will appear on the toolbox group.
95 It is also used to create the command line name of all the algorithms
96 from this provider
97 '''
98 return "pktools"
99

## ◆ initializeSettings()

def qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.initializeSettings | ( |  | self | ) |

    In this method we add settings needed to configure our provider.
    Do not forget to call the parent method, since it takes care or
    automatically adding a setting for activating or deactivating the
    algorithms in the provider

Definition at line 73 of file pktoolsAlgorithmProvider.py.

73 def initializeSettings(self):
74 '''In this method we add settings needed to configure our provider.
75 Do not forget to call the parent method, since it takes care or
76 automatically adding a setting for activating or deactivating the
77 algorithms in the provider
78 '''
79 AlgorithmProvider.initializeSettings(self)
80 ProcessingConfig.addSetting(Setting(self.getDescription(), pktoolsUtils.PKTOOLS_FOLDER, "pktools folder", pktoolsUtils.pktoolsPath()))
81
82# ProcessingConfig.addSetting(Setting("Example algorithms", pktoolsAlgorithmProvider.MY_DUMMY_SETTING, "Example setting", "Default value"))

## ◆ unload()

def qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.unload | ( |  | self | ) |

    Setting should be removed here, so they do not appear anymore
    when the plugin is unloaded

Definition at line 87 of file pktoolsAlgorithmProvider.py.

87 def unload(self):
88 '''Setting should be removed here, so they do not appear anymore
89 when the plugin is unloaded'''
90 AlgorithmProvider.unload(self)
91 ProcessingConfig.removeSetting(pktoolsAlgorithmProvider.MY_DUMMY_SETTING)
92

## Member Data Documentation

## ◆ activate

qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.activate

Definition at line 62 of file pktoolsAlgorithmProvider.py.

## ◆ alglist

qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.alglist

Definition at line 65 of file pktoolsAlgorithmProvider.py.

## ◆ algs

qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.algs

Definition at line 120 of file pktoolsAlgorithmProvider.py.

## ◆ MY_DUMMY_SETTING

string qgis.pktoolsAlgorithmProvider.pktoolsAlgorithmProvider.MY_DUMMY_SETTING = "MY_DUMMY_SETTING"
| static

Definition at line 57 of file pktoolsAlgorithmProvider.py.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.NvCr9x/build_pktools/PKTOOLS-2.6.7.6/qgis/pktoolsAlgorithmProvider.py